Debian Bug report logs - #629578
libglobalhotkeys-ruby: not installable in sid

version graph

Package: libglobalhotkeys-ruby; Maintainer for libglobalhotkeys-ruby is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for libglobalhotkeys-ruby is src:ruby-globalhotkeys.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Tue, 7 Jun 2011 20:36:01 UTC

Severity: normal

Tags: sid

Found in version libglobalhotkeys-ruby/0.2.0-1

Done: Vincent Carmona <vinc4mai@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Carmona <vinc4mai@gmail.com>:
Bug#629578; Package libglobalhotkeys-ruby. (Tue, 07 Jun 2011 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Vincent Carmona <vinc4mai@gmail.com>. (Tue, 07 Jun 2011 20:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: libglobalhotkeys-ruby: not installable in sid
Date: Tue, 7 Jun 2011 22:33:08 +0200
Package: libglobalhotkeys-ruby
Version: 0.2.0-1
Tags: sid
Severity: grave
User: treinen@debian.org
Usertags: edos-uninstallable

Hi,

libglobalhotkeys-ruby is not installable in sid on any architecture since:

libglobalhotkeys-ruby (= 0.2.0-1) depends on one of:
- ruby-globalhotkeys (= 0.3.2-3)
- libglobalhotkeys-ruby1.8 (= 0.3.2-3) 

libglobalhotkeys-ruby1.8 (= 0.3.2-3) depends on ruby-globalhotkeys (= 0.3.2-3)

ruby-globalhotkeys (= 0.3.2-3) and libglobalhotkeys-ruby (= 0.2.0-1) conflict

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#629578; Package libglobalhotkeys-ruby. (Thu, 09 Jun 2011 16:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Carmona <vinc4mai@gmail.com>:
Extra info received and forwarded to list. (Thu, 09 Jun 2011 16:03:13 GMT) Full text and rfc822 format available.

Message #10 received at 629578@bugs.debian.org (full text, mbox):

From: Vincent Carmona <vinc4mai@gmail.com>
To: Ralf Treinen <treinen@free.fr>, 629578@bugs.debian.org
Subject: Re: Bug#629578: libglobalhotkeys-ruby: not installable in sid
Date: Thu, 9 Jun 2011 18:01:33 +0200
Hi Ralf.

Thanks fo your report.

ruby-globalhotkeys is the new name for libglobalhotkeys-ruby. You
should install it.

I do not known why there is 2 versions of libglobalhotkeys-ruby
package in unstable. I need to investigate it.

$ LANG=C aptitude show -v libglobalhotkeys-ruby
Package: libglobalhotkeys-ruby
State: not installed
Version: 0.3.2-3
Priority: optional
Section: ruby
Maintainer: Debian Ruby Extras Maintainers
<pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uncompressed Size: 36.9 k
Architecture: all
Compressed Size: 3100
Filename: pool/main/r/ruby-globalhotkeys/libglobalhotkeys-ruby_0.3.2-3_all.deb
MD5sum: 2de112d4aac6f5cba512e484dd5e9726
Archive: unstable, testing
Depends: ruby-globalhotkeys
Provided by: ruby-globalhotkeys (0.3.2-3)
Description: Transitional package for ruby-globalhotkeys
 This is a transitional package to ease upgrades to the ruby-globalhotkeys
 package. It can safely be removed.
Homepage: http://zik.rubyforge.org/rghk/

Package: libglobalhotkeys-ruby
State: not installed
Version: 0.2.0-1
Priority: optional
Section: ruby
Maintainer: Vincent Carmona <vinc4mai@gmail.com>
Uncompressed Size: 205 k
Architecture: all
Compressed Size: 24.1 k
Filename: pool/main/libg/libglobalhotkeys-ruby/libglobalhotkeys-ruby_0.2.0-1_all.deb
MD5sum: 104f672f7a375be41988a0ca467b452b
Archive: unstable
Depends: libglobalhotkeys-ruby1.8
Provided by: ruby-globalhotkeys (0.3.2-3)
Description: Ruby binding to define global hotkeys
 This librairy aims to provide easy global hotkeys setting for ruby applications
 so users can interact with an application even if it does not have the focus.
 Documentations is provided in the rdoc format. This is a dependency package
 which depends on Debian's default Ruby version (currently 1.8.x).
Homepage: http://zik.rubyforge.org/rghk

-- 
Vincent Carmona




Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Carmona <vinc4mai@gmail.com>:
Bug#629578; Package libglobalhotkeys-ruby. (Fri, 10 Jun 2011 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Vincent Carmona <vinc4mai@gmail.com>. (Fri, 10 Jun 2011 06:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 629578@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: Vincent Carmona <vinc4mai@gmail.com>
Cc: 629578@bugs.debian.org
Subject: Re: Bug#629578: libglobalhotkeys-ruby: not installable in sid
Date: Fri, 10 Jun 2011 08:31:06 +0200
Hi Vincent,

On Thu, Jun 09, 2011 at 06:01:33PM +0200, Vincent Carmona wrote:

> ruby-globalhotkeys is the new name for libglobalhotkeys-ruby. You
> should install it.
> 
> I do not known why there is 2 versions of libglobalhotkeys-ruby
> package in unstable. I need to investigate it.

OK, I didn't realise that there are two versions in sid, This happens
sometimes, typicaly when a binary package changes from one source 
package to another source package. If the old version is no longer 
needed then please file a bug report against ftp.debian.org and
ask for removal, see http://wiki.debian.org/ftpmaster_Removals.

-Ralf.




Severity set to 'normal' from 'grave' Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Fri, 10 Jun 2011 06:33:05 GMT) Full text and rfc822 format available.

Reply sent to Vincent Carmona <vinc4mai@gmail.com>:
You have taken responsibility. (Sat, 16 Jul 2011 16:57:03 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Sat, 16 Jul 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 629578-done@bugs.debian.org (full text, mbox):

From: Vincent Carmona <vinc4mai@gmail.com>
To: 629578-done@bugs.debian.org
Date: Sat, 16 Jul 2011 18:55:55 +0200
The old version of libglobalhotkeys-ruby is now removed from the
archives (see bug #632751)
so I close this bug.

-- 
Vincent Carmona




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Aug 2011 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:19:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.